{ pkgs, ... }:

{

  home.packages = with pkgs; [
    appimage-run
    libappimage
    transmission_4-gtk
    wl-clipboard
    clipse
    maim
    wayland-utils
    libheif.out
    rpi-imager
    thonny
    freecad
    flatpak
    gst_all_1.gstreamer
    prusa-slicer
    via
    vial
    scribus
    pdfarranger
    tdf
    pdfchain
    pdftk
    zathura
    gpu-viewer

    wl-mirror

    soundconverter
    wmctrl
    colloid-icon-theme
    whitesur-gtk-theme
    whitesur-cursors
    whitesur-icon-theme
    bibata-cursors
    adwaita-qt

    godot_4
    gdtoolkit_4
    sane-airscan
    xsane

    bitwarden-cli
    bitwarden-desktop
    tailscale
    trayscale
    font-manager


    squirreldisk
    papers
    newsflash

    stirling-pdf
    ripdrag

    wineWowPackages.stagingFull
    winetricks

    sway-launcher-desktop
    swayosd

    thunderbird-latest
    emojify
    smile

    impression
    zoom-us
    nyxt
    ungoogled-chromium
    obsidian
    vlc
    polychromatic
    discord
    slack
    signal-desktop
    eyedropper
    onlyoffice-desktopeditors
    libreoffice
    hyphenDicts.en_US
    plex-mpv-shim
    plexamp

    switcheroo

    blender
    davinci-resolve-studio
    steam
    processing
    zotero
    fractal
    handbrake
    krita
    rawtherapee
    inkscape
    gimp
    epsonscan2
    kicad
    turbocase
    openscad-unstable
    openscad-lsp
    picard
    evolutionWithPlugins
    plugdata
    pavucontrol
    qpwgraph
    helvum
    coppwr
    clapper
    ardour

    oculante

    farge
    halloy
    paleta

    wayback
    protonplus


  ];

  home.pointerCursor = {
    package = pkgs.rice.cursor.package;
    name = pkgs.rice.cursor.name;
    size = 24;
    gtk.enable = true;
    x11.enable = true;
  };

  gtk.cursorTheme = pkgs.rice.cursor;

  fonts = {
    fontconfig = {
      enable = true;
    };
  };

  services.flatpak = {
    enable = true;
    packages = [
      "com.github.tchx84.Flatseal"
      "dev.qwery.AddWater"
    ];
  };

  programs = {
    eww = {
      enable = true;
      configDir = ../../homes/emenel/dotfiles/dot_config/eww;
    };
    firefox.enable = true;
  };

  xdg.configFile."halloy/config.toml".source = ../../homes/emenel/dotfiles/dot_config/halloy/config.toml;

}
