{ config, lib, pkgs, ... }:

{
  home.packages = [ pkgs.shikane ];

  systemd.user.services.shikane = {
    Unit = {
      Description = "Shikane";
      PartOf = [ "graphical-session.target" ];
    };
    Install = {
      WantedBy = [ "graphical-session.target" ];
    };
    Service = {
      Type = "simple";
      ExecStart = "${pkgs.shikane}/bin/shikane";
    };
  };

  xdg.configFile."shikane".source = ../../homes/emenel/dotfiles/dot_config/shikane;
}
